<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Fri Oct 27 02:34:46 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>CppAbstractPanel (org.eclipse.papyrus.designer.languages.cpp.view 1.0.5 API)</title>
<meta name="date" content="2017-10-27">
<link rel="stylesheet" type="text/css" href="../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="CppAbstractPanel (org.eclipse.papyrus.designer.languages.cpp.view 1.0.5 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":42,"i1":38,"i2":42,"i3":38,"i4":42,"i5":42,"i6":42,"i7":42,"i8":42,"i9":42,"i10":42,"i11":42,"i12":42,"i13":38,"i14":42,"i15":41,"i16":38,"i17":42,"i18":38,"i19":42,"i20":42};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"],8:["t4","Concrete Methods"],32:["t6","Deprecated Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/CppAbstractPanel.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/view/panels/CppBehaviorPanel.html" title="class in org.eclipse.papyrus.designer.languages.cpp.view.panels"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/eclipse/papyrus/designer/languages/cpp/view/panels/CppAbstractPanel.html" target="_top">Frames</a></li>
<li><a href="CppAbstractPanel.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.designer.languages.cpp.view.panels</div>
<h2 title="Class CppAbstractPanel" class="title">Class CppAbstractPanel</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.eclipse.swt.widgets.Widget</li>
<li>
<ul class="inheritance">
<li>org.eclipse.swt.widgets.Control</li>
<li>
<ul class="inheritance">
<li>org.eclipse.swt.widgets.Scrollable</li>
<li>
<ul class="inheritance">
<li>org.eclipse.swt.widgets.Composite</li>
<li>
<ul class="inheritance">
<li>org.eclipse.papyrus.designer.languages.cpp.view.panels.CppAbstractPanel</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>org.eclipse.swt.graphics.Drawable</dd>
</dl>
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/view/panels/CppBehaviorPanel.html" title="class in org.eclipse.papyrus.designer.languages.cpp.view.panels">CppBehaviorPanel</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/view/panels/CppClassPanel.html" title="class in org.eclipse.papyrus.designer.languages.cpp.view.panels">CppClassPanel</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/view/panels/CppDefaultPanel.html" title="class in org.eclipse.papyrus.designer.languages.cpp.view.panels">CppDefaultPanel</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/view/panels/CppGeneralizationPanel.html" title="class in org.eclipse.papyrus.designer.languages.cpp.view.panels">CppGeneralizationPanel</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/view/panels/CppOperationPanel.html" title="class in org.eclipse.papyrus.designer.languages.cpp.view.panels">CppOperationPanel</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/view/panels/CppPackagePanel.html" title="class in org.eclipse.papyrus.designer.languages.cpp.view.panels">CppPackagePanel</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/view/panels/CppParameterPanel.html" title="class in org.eclipse.papyrus.designer.languages.cpp.view.panels">CppParameterPanel</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/view/panels/CppPrimitiveTypePanel.html" title="class in org.eclipse.papyrus.designer.languages.cpp.view.panels">CppPrimitiveTypePanel</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/view/panels/CppPropertyPanel.html" title="class in org.eclipse.papyrus.designer.languages.cpp.view.panels">CppPropertyPanel</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/view/panels/CppTemplateBindingPanel.html" title="class in org.eclipse.papyrus.designer.languages.cpp.view.panels">CppTemplateBindingPanel</a>, <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/view/panels/CppTemplateParameterPanel.html" title="class in org.eclipse.papyrus.designer.languages.cpp.view.panels">CppTemplateParameterPanel</a></dd>
</dl>
<hr>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
<div class="block"><span class="deprecationComment">This view will be replaced by a XWT view for the C++ profile</span></div>
</div>
<br>
<pre><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Deprecated.html?is-external=true" title="class or interface in java.lang">@Deprecated</a>
public abstract class <span class="typeNameLabel">CppAbstractPanel</span>
extends org.eclipse.swt.widgets.Composite</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected org.eclipse.swt.widgets.Button</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/view/panels/CppAbstractPanel.html#buttonCancel">buttonCancel</a></span></code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected org.eclipse.swt.widgets.Button</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/view/panels/CppAbstractPanel.html#buttonSave">buttonSave</a></span></code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/view/panels/CppAbstractPanel.html#C_CPP_ID">C_CPP_ID</a></span></code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/view/panels/CppAbstractPanel.html#C_ID">C_ID</a></span></code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/view/panels/CppAbstractPanel.html#CPP_ID">CPP_ID</a></span></code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/view/panels/CppAbstractPanel.html#H_SPACE">H_SPACE</a></span></code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/view/listeners/UMLElementPanelListener.html" title="class in org.eclipse.papyrus.designer.languages.cpp.view.listeners">UMLElementPanelListener</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/view/panels/CppAbstractPanel.html#umlListener">umlListener</a></span></code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
<div class="block">Listener for modifications on the UML element</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.swt.widgets.Control">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.eclipse.swt.widgets.Control</h3>
<code>handle</code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/view/panels/CppAbstractPanel.html#CppAbstractPanel-org.eclipse.swt.widgets.Composite-int-">CppAbstractPanel</a></span>(org.eclipse.swt.widgets.Composite&nbsp;parent,
                int&nbsp;style)</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t6" class="tableTab"><span><a href="javascript:show(32);">Deprecated Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/view/panels/CppAbstractPanel.html#addStereotypeSelectionListener-org.eclipse.swt.widgets.Button-java.lang.String-">addStereotypeSelectionListener</a></span>(org.eclipse.swt.widgets.Button&nbsp;button,
                              <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;stereotypeName)</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
<div class="block">Selection listener that match button status and a particular stereotype</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>abstract boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/view/panels/CppAbstractPanel.html#checkModifications--">checkModifications</a></span>()</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
<div class="block">Check if the content of the panel has modification against the corresponding UML element.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>protected org.eclipse.swt.widgets.Button</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/view/panels/CppAbstractPanel.html#createButton-java.lang.String-org.eclipse.swt.widgets.Composite-org.eclipse.swt.widgets.Button-">createButton</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
            org.eclipse.swt.widgets.Composite&nbsp;parent,
            org.eclipse.swt.widgets.Button&nbsp;previous)</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
<div class="block">Create new button</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>abstract org.eclipse.swt.widgets.Control</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/view/panels/CppAbstractPanel.html#createContent--">createContent</a></span>()</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>protected org.eclipse.jface.text.IDocument</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/view/panels/CppAbstractPanel.html#createDocument--">createDocument</a></span>()</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
<div class="block">Create a simple document</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>protected org.eclipse.jface.text.IDocument</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/view/panels/CppAbstractPanel.html#createDocumentC--">createDocumentC</a></span>()</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
<div class="block">Create a C/C++ (see cdt) document</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>protected org.eclipse.swt.widgets.Group</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/view/panels/CppAbstractPanel.html#createGroup-org.eclipse.swt.widgets.Composite-java.lang.String-org.eclipse.swt.widgets.Control-org.eclipse.swt.widgets.Control-boolean-int-int-boolean-">createGroup</a></span>(org.eclipse.swt.widgets.Composite&nbsp;textArea,
           <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
           org.eclipse.swt.widgets.Control&nbsp;t_previous,
           org.eclipse.swt.widgets.Control&nbsp;l_previous,
           boolean&nbsp;toRight,
           int&nbsp;height,
           int&nbsp;width,
           boolean&nbsp;toBottom)</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
<div class="block">Create a group for a text area</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/view/panels/CppAbstractPanel.html#createSaveResetButtons--">createSaveResetButtons</a></span>()</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
<div class="block">Create save and reset button in the top - right of the structure</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>protected org.eclipse.jface.text.source.SourceViewer</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/view/panels/CppAbstractPanel.html#createViewer-org.eclipse.jface.text.IDocument-org.eclipse.swt.widgets.Group-">createViewer</a></span>(org.eclipse.jface.text.IDocument&nbsp;doc,
            org.eclipse.swt.widgets.Group&nbsp;group)</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
<div class="block">Create a simple viewer without coloration</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>protected org.eclipse.jface.text.source.SourceViewer</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/view/panels/CppAbstractPanel.html#createViewerC-org.eclipse.jface.text.IDocument-org.eclipse.swt.widgets.Group-">createViewerC</a></span>(org.eclipse.jface.text.IDocument&nbsp;doc,
             org.eclipse.swt.widgets.Group&nbsp;group)</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/view/panels/CppAbstractPanel.html#dispose--">dispose</a></span>()</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/view/panels/CppAbstractPanel.html#entryAction--">entryAction</a></span>()</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
<div class="block">Action executed just after the panel is created for the specific element.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/view/panels/CppAbstractPanel.html#exitAction--">exitAction</a></span>()</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
<div class="block">Action executed just before moving to the new element.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>abstract org.eclipse.uml2.uml.Element</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/view/panels/CppAbstractPanel.html#getSelectedElement--">getSelectedElement</a></span>()</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
<div class="block">Returns the selected element</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>protected boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/view/panels/CppAbstractPanel.html#isModelValid--">isModelValid</a></span>()</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
<div class="block">Check if model is coherent with the AccordCpp Methodology</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>protected static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/view/panels/CppAbstractPanel.html#openInformation-java.lang.String-java.lang.String-">openInformation</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;title,
               <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;message)</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
&nbsp;</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>protected abstract void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/view/panels/CppAbstractPanel.html#refreshPanel--">refreshPanel</a></span>()</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
<div class="block">Refresh panel</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/view/panels/CppAbstractPanel.html#reset--">reset</a></span>()</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
<div class="block">Action executed when reset button is pressed</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>abstract void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/view/panels/CppAbstractPanel.html#save--">save</a></span>()</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
<div class="block">Action executed when save button is pressed</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/view/panels/CppAbstractPanel.html#setSelectedElement-org.eclipse.uml2.uml.Element-">setSelectedElement</a></span>(org.eclipse.uml2.uml.Element&nbsp;newElement)</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
<div class="block">Sets the new selected element</div>
</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/view/panels/CppAbstractPanel.html#updateModel--">updateModel</a></span>()</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
<div class="block">Makes the model coherent with the AccordCpp Methodology</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.swt.widgets.Composite">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.swt.widgets.Composite</h3>
<code>changed, checkSubclass, drawBackground, getBackgroundMode, getChildren, getLayout, getLayoutDeferred, getTabList, isLayoutDeferred, layout, layout, layout, layout, layout, setBackgroundMode, setFocus, setLayout, setLayoutDeferred, setTabList</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.swt.widgets.Scrollable">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.swt.widgets.Scrollable</h3>
<code>computeTrim, getClientArea, getHorizontalBar, getScrollbarsMode, getVerticalBar</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.swt.widgets.Control">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.swt.widgets.Control</h3>
<code>addControlListener, addDragDetectListener, addFocusListener, addGestureListener, addHelpListener, addKeyListener, addMenuDetectListener, addMouseListener, addMouseMoveListener, addMouseTrackListener, addMouseWheelListener, addPaintListener, addTouchListener, addTraverseListener, computeSize, computeSize, dragDetect, dragDetect, forceFocus, getAccessible, getBackground, getBackgroundImage, getBorderWidth, getBounds, getCursor, getDragDetect, getEnabled, getFont, getForeground, getLayoutData, getLocation, getMenu, getMonitor, getOrientation, getParent, getRegion, getShell, getSize, getTextDirection, getToolTipText, getTouchEnabled, getVisible, internal_dispose_GC, internal_new_GC, isEnabled, isFocusControl, isReparentable, isVisible, moveAbove, moveBelow, pack, pack, print, redraw, redraw, removeControlListener, removeDragDetectListener, removeFocusListener, removeGestureListener, removeHelpListener, removeKeyListener, removeMenuDetectListener, removeMouseListener, removeMouseMoveListener, removeMouseTrackListener, removeMouseWheelListener, removePaintListener, removeTouchListener, removeTraverseListener, requestLayout, setBackground, setBackgroundImage, setBounds, setBounds, setCapture, setCursor, setDragDetect, setEnabled, setFont, setForeground, setLayoutData, setLocation, setLocation, setMenu, setOrientation, setParent, setRedraw, setRegion, setSize, setSize, setTextDirection, setToolTipText, setTouchEnabled, setVisible, toControl, toControl, toDisplay, toDisplay, traverse, traverse, traverse, update</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.swt.widgets.Widget">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.swt.widgets.Widget</h3>
<code>addDisposeListener, addListener, checkWidget, getData, getData, getDisplay, getListeners, getStyle, isAutoDirection, isDisposed, isListening, notifyListeners, removeDisposeListener, removeListener, removeListener, reskin, setData, setData, toString</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.swt.graphics.Drawable">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.swt.graphics.Drawable</h3>
<code>isAutoScalable</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="H_SPACE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>H_SPACE</h4>
<pre>public static final&nbsp;int H_SPACE</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../constant-values.html#org.eclipse.papyrus.designer.languages.cpp.view.panels.CppAbstractPanel.H_SPACE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="C_CPP_ID">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>C_CPP_ID</h4>
<pre>protected static final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> C_CPP_ID</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../constant-values.html#org.eclipse.papyrus.designer.languages.cpp.view.panels.CppAbstractPanel.C_CPP_ID">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="CPP_ID">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CPP_ID</h4>
<pre>protected static final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> CPP_ID</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../constant-values.html#org.eclipse.papyrus.designer.languages.cpp.view.panels.CppAbstractPanel.CPP_ID">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="C_ID">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>C_ID</h4>
<pre>protected static final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> C_ID</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../constant-values.html#org.eclipse.papyrus.designer.languages.cpp.view.panels.CppAbstractPanel.C_ID">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="buttonSave">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>buttonSave</h4>
<pre>protected&nbsp;org.eclipse.swt.widgets.Button buttonSave</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
</li>
</ul>
<a name="buttonCancel">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>buttonCancel</h4>
<pre>protected&nbsp;org.eclipse.swt.widgets.Button buttonCancel</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
</li>
</ul>
<a name="umlListener">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>umlListener</h4>
<pre>protected&nbsp;<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/view/listeners/UMLElementPanelListener.html" title="class in org.eclipse.papyrus.designer.languages.cpp.view.listeners">UMLElementPanelListener</a> umlListener</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
<div class="block">Listener for modifications on the UML element</div>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="CppAbstractPanel-org.eclipse.swt.widgets.Composite-int-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>CppAbstractPanel</h4>
<pre>public&nbsp;CppAbstractPanel(org.eclipse.swt.widgets.Composite&nbsp;parent,
                        int&nbsp;style)</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="createContent--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createContent</h4>
<pre>public abstract&nbsp;org.eclipse.swt.widgets.Control&nbsp;createContent()</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
</li>
</ul>
<a name="createGroup-org.eclipse.swt.widgets.Composite-java.lang.String-org.eclipse.swt.widgets.Control-org.eclipse.swt.widgets.Control-boolean-int-int-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createGroup</h4>
<pre>protected&nbsp;org.eclipse.swt.widgets.Group&nbsp;createGroup(org.eclipse.swt.widgets.Composite&nbsp;textArea,
                                                    <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
                                                    org.eclipse.swt.widgets.Control&nbsp;t_previous,
                                                    org.eclipse.swt.widgets.Control&nbsp;l_previous,
                                                    boolean&nbsp;toRight,
                                                    int&nbsp;height,
                                                    int&nbsp;width,
                                                    boolean&nbsp;toBottom)</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
<div class="block">Create a group for a text area</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>textArea</code> - parent composite</dd>
<dd><code>name</code> - of the group</dd>
<dd><code>t_previous</code> - attached to top border</dd>
<dd><code>l_previous</code> - attached to left border</dd>
<dd><code>toRight</code> - should group reach right border of parent</dd>
<dd><code>height</code> - of text in percent of group size</dd>
<dd><code>width</code> - of text in percent of group size</dd>
<dd><code>toBottom</code> - should group reach bottom of parent</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>new Group</dd>
</dl>
</li>
</ul>
<a name="createViewer-org.eclipse.jface.text.IDocument-org.eclipse.swt.widgets.Group-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createViewer</h4>
<pre>protected&nbsp;org.eclipse.jface.text.source.SourceViewer&nbsp;createViewer(org.eclipse.jface.text.IDocument&nbsp;doc,
                                                                  org.eclipse.swt.widgets.Group&nbsp;group)</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
<div class="block">Create a simple viewer without coloration</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>doc</code> - </dd>
<dd><code>group</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="createViewerC-org.eclipse.jface.text.IDocument-org.eclipse.swt.widgets.Group-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createViewerC</h4>
<pre>protected&nbsp;org.eclipse.jface.text.source.SourceViewer&nbsp;createViewerC(org.eclipse.jface.text.IDocument&nbsp;doc,
                                                                   org.eclipse.swt.widgets.Group&nbsp;group)</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>doc</code> - </dd>
<dd><code>group</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="createDocument--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createDocument</h4>
<pre>protected&nbsp;org.eclipse.jface.text.IDocument&nbsp;createDocument()</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
<div class="block">Create a simple document</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="createDocumentC--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createDocumentC</h4>
<pre>protected&nbsp;org.eclipse.jface.text.IDocument&nbsp;createDocumentC()</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
<div class="block">Create a C/C++ (see cdt) document</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="createSaveResetButtons--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createSaveResetButtons</h4>
<pre>protected&nbsp;void&nbsp;createSaveResetButtons()</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
<div class="block">Create save and reset button in the top - right of the structure</div>
</li>
</ul>
<a name="createButton-java.lang.String-org.eclipse.swt.widgets.Composite-org.eclipse.swt.widgets.Button-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createButton</h4>
<pre>protected&nbsp;org.eclipse.swt.widgets.Button&nbsp;createButton(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
                                                      org.eclipse.swt.widgets.Composite&nbsp;parent,
                                                      org.eclipse.swt.widgets.Button&nbsp;previous)</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
<div class="block">Create new button</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - of the button</dd>
<dd><code>parent</code> - composite that owns the button</dd>
<dd><code>previous</code> - structure on which button is left attached</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the newly created button</dd>
</dl>
</li>
</ul>
<a name="addStereotypeSelectionListener-org.eclipse.swt.widgets.Button-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addStereotypeSelectionListener</h4>
<pre>protected&nbsp;void&nbsp;addStereotypeSelectionListener(org.eclipse.swt.widgets.Button&nbsp;button,
                                              <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;stereotypeName)</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
<div class="block">Selection listener that match button status and a particular stereotype</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>button</code> - </dd>
<dd><code>stereotypeName</code> - </dd>
</dl>
</li>
</ul>
<a name="entryAction--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>entryAction</h4>
<pre>public&nbsp;void&nbsp;entryAction()</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
<div class="block">Action executed just after the panel is created for the specific element.</div>
</li>
</ul>
<a name="exitAction--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>exitAction</h4>
<pre>public&nbsp;void&nbsp;exitAction()</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
<div class="block">Action executed just before moving to the new element.</div>
</li>
</ul>
<a name="checkModifications--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>checkModifications</h4>
<pre>public abstract&nbsp;boolean&nbsp;checkModifications()</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
<div class="block">Check if the content of the panel has modification against the corresponding UML element.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>true</code> if the panel has modification against the model</dd>
</dl>
</li>
</ul>
<a name="save--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>save</h4>
<pre>public abstract&nbsp;void&nbsp;save()</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
<div class="block">Action executed when save button is pressed</div>
</li>
</ul>
<a name="reset--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>reset</h4>
<pre>public&nbsp;void&nbsp;reset()</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
<div class="block">Action executed when reset button is pressed</div>
</li>
</ul>
<a name="refreshPanel--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>refreshPanel</h4>
<pre>protected abstract&nbsp;void&nbsp;refreshPanel()</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
<div class="block">Refresh panel</div>
</li>
</ul>
<a name="updateModel--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>updateModel</h4>
<pre>protected&nbsp;void&nbsp;updateModel()</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
<div class="block">Makes the model coherent with the AccordCpp Methodology</div>
</li>
</ul>
<a name="isModelValid--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isModelValid</h4>
<pre>protected&nbsp;boolean&nbsp;isModelValid()</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
<div class="block">Check if model is coherent with the AccordCpp Methodology</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>true</code> if the model is coherent with the AccordCpp Methodology</dd>
</dl>
</li>
</ul>
<a name="dispose--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>dispose</h4>
<pre>public&nbsp;void&nbsp;dispose()</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>dispose</code>&nbsp;in class&nbsp;<code>org.eclipse.swt.widgets.Widget</code></dd>
</dl>
</li>
</ul>
<a name="getSelectedElement--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSelectedElement</h4>
<pre>public abstract&nbsp;org.eclipse.uml2.uml.Element&nbsp;getSelectedElement()</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
<div class="block">Returns the selected element
 <p>
 Warning: it can be <code>null</code></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the selected element</dd>
</dl>
</li>
</ul>
<a name="setSelectedElement-org.eclipse.uml2.uml.Element-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSelectedElement</h4>
<pre>public&nbsp;void&nbsp;setSelectedElement(org.eclipse.uml2.uml.Element&nbsp;newElement)</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
<div class="block">Sets the new selected element</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>newElement</code> - the new selected element</dd>
</dl>
</li>
</ul>
<a name="openInformation-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>openInformation</h4>
<pre>protected static&nbsp;void&nbsp;openInformation(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;title,
                                      <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;message)</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/CppAbstractPanel.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/view/panels/CppBehaviorPanel.html" title="class in org.eclipse.papyrus.designer.languages.cpp.view.panels"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/eclipse/papyrus/designer/languages/cpp/view/panels/CppAbstractPanel.html" target="_top">Frames</a></li>
<li><a href="CppAbstractPanel.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016&#x2013;2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
